#AutoDevOps Requires a file named Dockerfile at the repo root - even if you are redirecting with the DOCKERFILE_PATH variable.
# (An MR has already been submitted with a fix)
#IMPORTANT: You cannot merge job fragments with autodevops jobs (typically used for customizating autodevops) here because 
# it is being called by "trigger:include:" NOT "include:" (which can combine jobs)
#IMPORTANT: Variables must be here on a per-job basis so that they are isolated from each other by the child pipeline 
#  when multiple child pipelines run at once.
#IMPORTANT: "Skip outdate deployment jobs" must be DISABLED for this repository (enabled by default),
#  docs: https://docs.gitlab.com/ee/ci/pipelines/settings.html#skip-outdated-deployment-jobs
#IMPORTANT: DOCKERFILE_PATH is not needed because we cd into each subdirectory build.

variables:
  AUTO_DEVOPS_EXPLICITLY_ENABLED: "1"  

db-service:
  variables:
    PROJ_DIR: "db-service"
    CI_APPLICATION_REPOSITORY: "$CI_REGISTRY_IMAGE/$PROJ_DIR"
    HELM_RELEASE_NAME: "$CI_ENVIRONMENT_SLUG-$PROJ_DIR"

#  only:
#    changes:
#      - db-service/**/*

  trigger:
    include: 'db-service/container-db-service.gitlab-ci.yml'
    strategy: depend

payment-service:
  variables:
    PROJ_DIR: "payment-service"
    CI_APPLICATION_REPOSITORY: "$CI_REGISTRY_IMAGE/$PROJ_DIR"
    HELM_RELEASE_NAME: "$CI_ENVIRONMENT_SLUG-$PROJ_DIR"

#  only:
#    changes:
#      - payment-service/**/*

  trigger:
    include: 'payment-service/container-payment-service.gitlab-ci.yml'
    strategy: depend

webui-service:
  variables:
    PROJ_DIR: "webui-service"
    CI_APPLICATION_REPOSITORY: "$CI_REGISTRY_IMAGE/$PROJ_DIR"
    HELM_RELEASE_NAME: "$CI_ENVIRONMENT_SLUG-$PROJ_DIR"

#  only:
#    changes:
#      - webui-service/**/*

  trigger:
    include: 'webui-service/container-webui-service.gitlab-ci.yml'
    strategy: depend

